petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetConvergenceHistory

Gets the array used to hold the convergence history.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetConvergenceHistory(SNES snes,PetscReal *a[],PetscInt *its[],PetscInt *na)

Not Collective Many br

### Input Parameter

snes -iterative context obtained from SNESCreate() Many br

### Output Parameters

a -array to hold history Many br
its -integer array holds the number of linear iterations (or Many brnegative if not converged) for each solve. Many br
na -size of a and its Many br

### Notes

The calling sequence for this routine in Fortran is Many br

      call SNESGetConvergenceHistory(SNES snes, integer na, integer ierr)

This routine is useful, e.g., when running a code for purposes Many brof accurate performance monitoring, when no I/O should be done Many brduring the section of code that is being timed. Many br

Many br

### Keywords

SNES, get, convergence, history

### See Also

SNESSetConvergencHistory()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages